@use "../../../../../scss/vars";

:host {
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  grid-gap: 1rem;

  &:before {
    position: absolute;
    top: 1.2rem;
    left: .475rem;
    width: 1px;
    height: calc(100% + 1.5rem);
    content: '';
    background-color: vars.$color-orange-200-opacity-30;
  }

  &:last-of-type:before {
    height: 0;
  }
}

.date-with-time {
  display: flex;
  gap: .75rem;
}

app-waypoints-point {
  position: relative;
  top: .2rem;
}

.content {
  position: relative;
  border-radius: 1rem;
  padding: 0 1rem;
  overflow: hidden;

  &-ready {
    color: vars.$color-grey-100;
    padding-top: .75rem;
    padding-bottom: .75rem;

    &:before {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      content: '';
      background-color: vars.$color-orange-100;
      z-index: -2;
    }
  }

  &-progress {
    background-color: vars.$color-grey-100;
    padding-top: .75rem;
    padding-bottom: .75rem;
  }
}

img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
}

.orange-100 {
  color: vars.$color-orange-100;
}
